Subject: Re: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Mon, 5 Jul 2010 21:50:35 +0200

On Mon, Jul 5, 2010 at 8:23 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Mon, 5 Jul 2010 19:55:28 +0200
>> Cc: [email-masked], [email-masked]
>>
>> > Why does it matter which file names are tried, if the net result will
>> > be the same: to fail?
>>
>> I thought I did explain that above. The unix style file names can
>> happen to work on the current default drive if the user did place the
>> required files there.
>
> The chances of the user accidentally putting the file in the same
> directory where Ispell looks for it, which doesn't exist on Windows
> and needs to be created, are slim.  The chances of doing that without
> looking at ispell.el and discovering the defcustom and its default
> value are even more slim.

This can rather easily happen. Just imagine a user getting the error
message and then putting the files there on the current drive.

> So I think your fears are entirely imaginary, and the problem you
> describe does not exist in practice.

It is less imaginary than a matter of imagination and logic.